<?xml version="1.0"?>

<!--

 Copyright 2007-2010 Xmarks Inc.

 foxmarks-statusbar.xul: implements the Foxmarks status bar

-->

<!DOCTYPE dialog SYSTEM "chrome://foxmarks/locale/foxmarks.dtd">
<?xml-stylesheet href="chrome://foxmarks/skin/foxmarks.css" type="text/css"?>

<overlay id="foxmarksStatusbarOverlay"
      xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

    <script src="foxmarks-statusbar.js" />
    <script src="foxmarks-uitools.js" />

    <statusbarpanel id="foxmarks-statusbarpanel">
        <hbox id="xmarks-sbs" align="center" >
            <xmarks-review-stars id="xmarks-sbs-stars" 
                context="foxmarks-statepopup"
                onstarsclick="Xmarks.SBS.Click(event)"
                onmouseover="Xmarks.SBS.MouseOver(event)"
                onmouseout="Xmarks.SBS.MouseOut(event)"
                style="margin-bottom: 1px; margin-right: 5px;" />
        </hbox>
        <popupset>
        <panel id="xmarks-review-panel" style="min-width: 30em"
                onpopuphiding="Xmarks.ReviewPopupHiding();" 
                onpopupshowing="Xmarks.ReviewPopupShowing();" >
            <hbox align="center">
                <image src='chrome://foxmarks/skin/images/foxmarks_bug.png'
                    style="height: 16px; width: 16px; margin-left: 6px" />
                <label value="&reviews.title;" style="font-size: 16px;"/>
            </hbox>
            <groupbox>
                <xmarks-review id="xmarks-popup-review" cid="xmfx.statusbar.rd"
                        controls="xmarks-sbs-stars" />
            </groupbox>
            <hbox>
                <spacer flex="1" />
                <button label="&reviews.accept;" 
                    oncommand="Xmarks.ReviewPopupDone(true);" />
                <button label="&reviews.cancel;" 
                    oncommand="Xmarks.ReviewPopupDone(false);" />
            </hbox>
        </panel>
        <panel id="xmarks-sbs-hover" noautohide="true">
            <label id="xmarks-sbs-hover-label" value="" />
        </panel>
        </popupset>
        <image id="foxmarks-statusimage" context="foxmarks-statepopup" 
           style="padding-top: 2.5px;"
           onclick="if (event.button &lt; 2) { Xmarks.OpenFoxmarksSettingsDialog(); }" 
        />
        <popup id="foxmarks-statepopup" 
            onpopupshowing="Xmarks.SBS.OnMenuShowing()">
            <menuitem label="&dialog.label.syncNow;   "
                accesskey="&menu.accesskey.syncnow;" 
                oncommand="Xmarks.Synch()" 
                key="XmarksSyncNow" />
            <menuitem label="&menu.myFoxmarks;   "
                accesskey="&menu.accesskey.myfoxmarks;" 
                oncommand="Xmarks.MyFoxmarks()" />
            <menuitem label="&menu.settings;   "
                accesskey="&menu.accesskey.settings;" 
                oncommand="Xmarks.OpenFoxmarksSettingsDialog()" 
                key="OpenFoxmarksDialog" />
            <menuitem label="&menu.similarsites;   "
                accesskey="&menu.accesskey.similarsites;" 
                oncommand="Xmarks.SimSites.showSimSites();" 
                key="FoxmarksSimSiteKey" />
            <menuseparator />
            <menuitem label="&menu.showstatus;   " type="checkbox"
                id="xmarks-status-showicon"
                checked="true" autocheck="false" 
                accesskey="&menu.accesskey.icon;"
                oncommand="Xmarks.ToggleIcon()"/>
            <menuitem label="&menu.showstars;   " type="checkbox"
                checked="true" autocheck="false" 
                id="xmarks-status-showstars"
                accesskey="&menu.accesskey.showstars;"
                oncommand="Xmarks.ToggleStars()"/>
        </popup>
    </statusbarpanel>
</overlay>


